PETSc version 3.15.5
Fix/Edit manual page

# SNESFASSetInjection

Sets the function to be used to inject the solution from level l to l-1.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetInjection(SNES snes, PetscInt level, Mat mat)

### Input Parameters

+ snes - the multigrid context

| mat | - the restriction matrix

| level | - the level (0 is coarsest) to supply [Do not supply 0]

### Notes

If you do not set this, the restriction and rscale is used to project the solution instead.

### See Also

SNESFASSetInterpolation(), SNESFASSetRestriction()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages